%define major   0
%define version 1.0.0
%define release 2mdk
%define name libsidutils

Summary:        General utility library for use in sidplayers.
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source:         %{name}-%{version}.tar.bz2
License:        GPL
Group:          System/Libraries
URL:            http://sidplay2.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}%{major}-buildroot
Prefix:         %{_prefix}
Requires:       libsidplay2 >= 2.0.7
BuildRequires:  libsidplay2-devel >= 2.0.7

%description
This library provides general utilities that are not considered core
to the C64 emulation.  Utilities include decoding and obtaining tune
lengths from the songlength database, INI file format parser and SID
filter files (types 1 and 2).

%package -n %{name}%{major}
Summary:        General utility library for use in sidplayers.
Requires:       libsidplay2 >= 2.0.7
Group:          System/Libraries
%description -n %{name}%{major}
This library provides general utilities that are not considered core
to the C64 emulation.  Utilities include decoding and obtaining tune
lengths from the songlength database, INI file format parser and SID
filter files (types 1 and 2).


%package -n %{name}%{major}-devel
Summary:        Development headers and libraries for %{oname}%{major}
Group:          Development/C++
Requires:       %{name}%{major} = %{version}
Provides:       %{name}-devel = %{version}

%description -n %{name}%{major}-devel
This package includes the header and library files necessary
for developing applications to use %{oname}%{major}.


%prep
rm -rf $RPM_BUILD_ROOT 
%setup -q

%build
%configure
%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%postun -n %{name}%{major} -p /sbin/ldconfig

%post -n %{name}%{major} -p /sbin/ldconfig

%files -n %{name}%{major}
%defattr(-,root,root)
#%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/*.so.*

%files -n %{name}%{major}-devel
%defattr(-,root,root)
%{_includedir}/sidplay/utils/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Sun Nov  4 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-2mdk
- adapted for Mandrake

* Sun Apr 1 2001 Simon White <s_a_white@email.com> 1.0.0-1mdk
- First spec file.

# end of file
